var _jsxFileName = "/home/mirza/code/formbuilder/src/components/app/fields-wrappers/Video.js";
import React from 'react';
import LinkIcon from '@material-ui/icons/Launch';
export default function VideoWrapper(props) {
  var _this = this;

  var renderLink = function renderLink() {
    if (props.data.config.href) {
      return /*#__PURE__*/React.createElement("div", {
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 8,
          columnNumber: 9
        }
      }, /*#__PURE__*/React.createElement("a", {
        href: props.data.config.href,
        target: "_blank",
        rel: "noopener noreferrer",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 9,
          columnNumber: 11
        }
      }, /*#__PURE__*/React.createElement(LinkIcon, {
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 10,
          columnNumber: 13
        }
      })), /*#__PURE__*/React.createElement("video", {
        className: "ahfb-width-full",
        autoPlay: !!props.data.config.autoPlay,
        controls: true,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 12,
          columnNumber: 11
        }
      }, /*#__PURE__*/React.createElement("source", {
        src: props.data.config.url,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 13,
          columnNumber: 13
        }
      })));
    } else if (props.data.config.subType === 'youtube') {
      var res = props.data.config.url.split('=');
      var embeddedUrl = "https://www.youtube.com/embed/" + res[1];
      return /*#__PURE__*/React.createElement("iframe", {
        id: "youtube-video",
        className: "ahfb-iframe",
        title: props.data.config.url,
        src: embeddedUrl,
        frameBorder: "0",
        allow: "accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture",
        allowFullScreen: true,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 21,
          columnNumber: 15
        }
      });
    } else {
      return /*#__PURE__*/React.createElement("video", {
        className: "ahfb-width-full",
        controls: true,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 33,
          columnNumber: 9
        }
      }, /*#__PURE__*/React.createElement("source", {
        src: props.data.config.url,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 34,
          columnNumber: 11
        }
      }));
    }
  };

  return /*#__PURE__*/React.createElement("div", {
    className: props.data.config.subType === 'youtube' ? "afhb-iframe-wrapper" : "ahfb-width-full",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 41,
      columnNumber: 5
    }
  }, renderLink());
}